Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.security
Class SSLSocketFactoryService

    java.lang.Object
      javax.net.SocketFactory
          javax.net.ssl.SSLSocketFactory
              org.jboss.remoting.security.CustomSSLSocketFactory
                  org.jboss.remoting.security.SSLSocketFactoryService

All Implemented Interfaces:
  SocketFactoryMBean, SSLSocketFactoryServiceMBean

    public class SSLSocketFactoryService

extends CustomSSLSocketFactory
implements SSLSocketFactoryServiceMBean

This is a basic wrapper around the SSLSocketBuilder which is needed because it extneds the javax.net.ServerSocketFactory class and implements the SSLServerSocketFactoryServiceMBean. It has no other function.

Author:
  Tom Elrod

Constructor Summary
`SSLSocketFactoryService()`
`SSLSocketFactoryService(javax.net.ssl.SSLSocketFactory factory, SSLSocketBuilder builder)` Constructor for `CustomSSLSocketFactory`.

Method Summary
`void` | `create()` create the service, do expensive operations etc
`void` | `destroy()` destroy the service, tear down
`void` | `start()` start the service, create is already called
`void` | `stop()` stop the service

Methods inherited from class org.jboss.remoting.security.CustomSSLSocketFactory
`createSocket, createSocket, createSocket, createSocket, createSocket, createSocket, equals, getDefaultCipherSuites, getSSLSocketBuilder, getSupportedCipherSuites, hashCode, setFactory, setSSLSocketBuilder, toString`

Methods inherited from class javax.net.ssl.SSLSocketFactory
`getDefault`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.remoting.security.SSLSocketFactoryServiceMBean
`setSSLSocketBuilder`

Methods inherited from interface org.jboss.remoting.security.SocketFactoryMBean
`createSocket, createSocket, createSocket, createSocket`

Constructor Detail

### SSLSocketFactoryService

    public SSLSocketFactoryService()

### SSLSocketFactoryService

    public SSLSocketFactoryService(javax.net.ssl.SSLSocketFactory factory,
                                   SSLSocketBuilder builder)

  Constructor for `CustomSSLSocketFactory`. The factory can be `null` - call `CustomSSLSocketFactory.setFactory(javax.net.ssl.SSLSocketFactory)` to set it later.

  Parameters:
    `factory` - the true factory this class delegates to
    `builder` - the class that built this custom factory - contains all the configuration for this factory

Method Detail

### start

    public void start()
               throws java.lang.Exception

  start the service, create is already called

  Specified by:
    `start` in interface `SSLSocketFactoryServiceMBean`
  Throws:
    `java.lang.Exception`

### create

    public void create()
                throws java.lang.Exception

  create the service, do expensive operations etc

  Specified by:
    `create` in interface `SSLSocketFactoryServiceMBean`
  Throws:
    `java.lang.Exception`

### stop

    public void stop()

  stop the service

  Specified by:
    `stop` in interface `SSLSocketFactoryServiceMBean`

### destroy

    public void destroy()

  destroy the service, tear down

  Specified by:
    `destroy` in interface `SSLSocketFactoryServiceMBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.